package de.duehl.vocabulary.japanese.logic.symbol.kanji.strokes.test;

import java.awt.geom.Path2D;

import de.duehl.vocabulary.japanese.logic.symbol.kanji.strokes.path.PathParser;
import de.duehl.vocabulary.japanese.logic.symbol.kanji.strokes.test.ui.Path2DViewerForTesting;

public class PathParserTest {

    public static void main(String[] args) {
        //String path = "M20,19.5c3.62,1.47,8.62,5.38,10.25,8.34";
        String path = "M15.41,89.2c1.46,0.43,2.88-0.03,3.59-1.24c2.75-4.7,5.5-10.45,8-16.45";
        PathParser parser = new PathParser(path);
        parser.parse();

        Path2D.Double swingPath = parser.getSwingPath();
        Path2DViewerForTesting.show(swingPath);
    }

}
